Package twisted :: Package protocols :: Module ftp :: Class DTPFactory |
[frames | no frames]

## Class DTPFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   DTPFactory

Known Subclasses:
  `FTP`

The DTP-Factory. This class is not completely self-contained.

Method Summary
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| `createActiveServer(self)`
| `createPassiveServer(self)`
Inherited from ClientFactory
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed.
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`NoneType` | `action` = None
`NoneType` | `dtp` = None
`class` | `dtpClass` = `twisted.protocols.ftp.DTP`
`NoneType` | `dtpPort` = None
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0
`NoneType` | `protocol` = None

Method Details

### buildProtocol(self, addr) Create an instance of a subclass of Protocol. The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory. Override this method to alter how Protocol instances get created. Overrides: `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

Class Variable Details

    ### action Type: `NoneType` Value:
        None

    ### dtp Type: `NoneType` Value:
        None

    ### dtpPort Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:50 2003 | http://epydoc.sf.net